/*
* Prefixed by https://autoprefixer.github.io
* PostCSS: v7.0.29,
* Autoprefixer: v9.7.6
* Browsers: last 4 version
*/

/*********************
* Modal
**********************/

.r-modal__description {
  background: rgba(0, 0, 0, 0.6);
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  z-index: 999999;
  -webkit-transition: opacity 1000ms ease-in;
  -o-transition: opacity 1000ms ease-in;
  transition: opacity 1000ms ease-in;
}
body.r-modal__description-open {
  overflow: hidden;
}
.r-modal__description-wrapper {
  background: rgba(252, 252, 252, 1);
  /* background: -webkit-gradient(
    linear,
    left top, right top,
    from(rgba(252, 252, 252, 1)),
    to(rgba(207, 207, 207, 1))
  );
  background: -o-linear-gradient(
    left,
    rgba(252, 252, 252, 1) 0%,
    rgba(207, 207, 207, 1) 100%
  );
  background: linear-gradient(
    to right,
    rgba(252, 252, 252, 1) 0%,
    rgba(207, 207, 207, 1) 100%
  ); */
  -webkit-box-shadow: 0 2px 10px rgba(0, 0, 0, 0.2);
          box-shadow: 0 2px 10px rgba(0, 0, 0, 0.2);
  width: 600px;
  height: 300px;
  margin: 10% auto 0 auto;
  border-radius: 5px;
  animation: minimise 1000ms linear;
  -webkit-animation: minimise 1000ms linear;
  -moz-animation: minimise 1000ms linear;
}
.r-modal__description .r-modal__description-wrapper {
  animation-name: bounce;
  -webkit-animation-name: bounce;
  -moz-animation-name: bounce;
}
.r-modal__description-header {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
  -webkit-box-pack: justify;
      -ms-flex-pack: justify;
          justify-content: space-between;
  padding: 0 24px;

}
.r-modal__description .r-modal__description-header .r-modal__description-close {
  position: absolute;
  margin: 10px -45px 0px 0px;
  width: 50px;
  height: 50px;
  background: #fff;
  border-radius: 50%;
  cursor: pointer;
  border: 2px solid var(--Basic);
}
.r-modal__description .r-modal__description-header .r-modal__description-close .r-modal__description-inner-close,
.r-modal__description .r-modal__description-header .r-modal__description-close .r-modal__description-inner-close .icon {
  position: absolute;
  top: 50%;
  left: 50%;
  -webkit-transform: translate(-50%, -50%);
      -ms-transform: translate(-50%, -50%);
          transform: translate(-50%, -50%);
}
.r-modal__description .r-modal__description-header .r-modal__description-close .r-modal__description-inner-close {
  width: 40px;
  border-radius: 50%;
  height: 40px;
  background: var(--Basic);
}
.r-modal__description-content {
  /* margin: 20px 10px 10px 5px; */
  /* height: 270px; */
  overflow-y: auto;
  padding: 22px 10px 10px 5px;
  border: 2px solid var(--Basic);
  height: 100%;
  width: 100%;
  text-indent: 10px;
  text-align: justify;
  text-justify: inter-word;
  white-space: pre-line;
  border-radius: 5px;
}
.r-modal__description-content::-webkit-scrollbar {
  width: 5px;
  background: #e3e3e3;
}
.r-modal__description-content::-webkit-scrollbar-thumb {
  width: 5px;
  background: var(--Basic);
}
.r-modal__description-header span.icon {
  font-size: 20px;
  cursor: pointer;
  color: #ffffff;
}

@-webkit-keyframes bounce {
  0% {
    -webkit-transform: scale3d(0.1, 0.1, 1);
    -webkit-box-shadow: 0 3px 20px rgba(0, 0, 0, 0.9);
            box-shadow: 0 3px 20px rgba(0, 0, 0, 0.9);
  }
  55% {
    -webkit-transform: scale3d(1.08, 1.08, 1);
    -webkit-box-shadow: 0 10px 20px rgba(0, 0, 0, 0);
            box-shadow: 0 10px 20px rgba(0, 0, 0, 0);
  }
  75% {
    -webkit-transform: scale3d(0.95, 0.95, 1);
    -webkit-box-shadow: 0 0 20px rgba(0, 0, 0, 0.9);
            box-shadow: 0 0 20px rgba(0, 0, 0, 0.9);
  }
  100% {
    -webkit-transform: scale3d(1, 1, 1);
    -webkit-box-shadow: 0 3px 20px rgba(0, 0, 0, 0.9);
            box-shadow: 0 3px 20px rgba(0, 0, 0, 0.9);
  }
}

@-webkit-keyframes minimise {
  0% {
    -webkit-transform: scale3d(1, 1, 1);
  }
  100% {
    -webkit-transform: scale3d(0.1, 0.1, 1);
  }
}

@keyframes bounce {
  0% {
    -webkit-transform: scale3d(0.1, 0.1, 1);
            transform: scale3d(0.1, 0.1, 1);
    -webkit-box-shadow: 0 3px 20px rgba(0, 0, 0, 0.9);
            box-shadow: 0 3px 20px rgba(0, 0, 0, 0.9);
  }
  55% {
    -webkit-transform: scale3d(1.08, 1.08, 1);
            transform: scale3d(1.08, 1.08, 1);
    -webkit-box-shadow: 0 10px 20px rgba(0, 0, 0, 0);
            box-shadow: 0 10px 20px rgba(0, 0, 0, 0);
  }
  75% {
    -webkit-transform: scale3d(0.95, 0.95, 1);
            transform: scale3d(0.95, 0.95, 1);
    -webkit-box-shadow: 0 0 20px rgba(0, 0, 0, 0.9);
            box-shadow: 0 0 20px rgba(0, 0, 0, 0.9);
  }
  100% {
    -webkit-transform: scale3d(1, 1, 1);
            transform: scale3d(1, 1, 1);
    -webkit-box-shadow: 0 3px 20px rgba(0, 0, 0, 0.9);
            box-shadow: 0 3px 20px rgba(0, 0, 0, 0.9);
  }
}

@keyframes minimise {
  0% {
    -webkit-transform: scale3d(1, 1, 1);
            transform: scale3d(1, 1, 1);
  }
  100% {
    -webkit-transform: scale3d(0.1, 0.1, 1);
            transform: scale3d(0.1, 0.1, 1);
  }
}